Freigeben über


Directory Tenants - Get

Rufen Sie einen Verzeichnismandanten anhand des Namens ab.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/directoryTenants/{tenant}?api-version=2015-11-01

URI-Parameter

Name In Erforderlich Typ Beschreibung
resourceGroupName
path True

string

Die Ressourcengruppe, unter der sich die Ressource befindet.

subscriptionId
path True

string

Abonnementanmeldeinformationen, die das Microsoft Azure-Abonnement eindeutig identifizieren. Die Abonnement-ID ist Teil des URI für jeden Dienstaufruf.

tenant
path True

string

Name des Verzeichnismandanten.

api-version
query True

string

Client-API-Version.

Antworten

Name Typ Beschreibung
200 OK

DirectoryTenant

OKAY

Other Status Codes

Error

Unerwarteter Fehler

Sicherheit

azure_auth

Azure Active Directory OAuth2-Fluss

Typ: oauth2
Ablauf: implicit
Autorisierungs-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiche

Name Beschreibung
user_impersonation Identitätswechsel ihres Benutzerkontos

Beispiele

Get a directory tenant by name.

Beispielanforderung

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourcegroups/system.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com?api-version=2015-11-01

Beispiel für eine Antwort

{
  "id": "/subscriptions/8ab2551d-41e5-489b-9273-1cdf1cbc7dc6/resourceGroups/System.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com",
  "name": "azurestackci07.onmicrosoft.com",
  "type": "Microsoft.Subscriptions.Admin/directoryTenants",
  "location": "local",
  "properties": {
    "tenantId": "2b3697e6-a7a2-4cdd-a3d4-f4ef6505cd4f"
  }
}

Definitionen

Name Beschreibung
DirectoryTenant

Verzeichnismandant.

Error

Fehlerantwort.

ErrorDefinition

Fehlerdefinition.

DirectoryTenant

Verzeichnismandant.

Name Typ Beschreibung
id

string

URI der Ressource.

location

string

Speicherort der Ressource

name

string

Der Name der Ressource.

properties.tenantId

string

Eindeutiger Mandantbezeichner.

tags

object

Liste der Schlüsselwertpaare.

type

string

Ressourcentyp.

Error

Fehlerantwort.

Name Typ Beschreibung
error

ErrorDefinition

Die Fehlerdetails.

ErrorDefinition

Fehlerdefinition.

Name Typ Beschreibung
code

string

Dienstspezifischer Fehlercode, der als Unterstatus für den HTTP-Fehlercode dient.

details

ErrorDefinition[]

Interne Fehlerdetails.

message

string

Beschreibung des Fehlers.